Subject: bug#52523: 29.0.50; defcustom :type 'key-sequence not following key-valid-p format

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 22 Dec 2021 13:41:17 +0100

Juri Linkov <[email-masked]> writes:

>> FWIW, I find the plural "keys" confusing, but other than that any of the
>> suggestions proposed so far are fine by me as well.
>
> I agree.  OTOH, I still see no problem with 'kbd', or even 'kbd-sequence'.

The problem is that we don't use the name "kbd" anywhere in the new
keymap functions, so it'd be confusing to use them in defcustom.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no